Get product details (v1)
Returns an ASOS product's price and markdown, stock and price for every size, all images, the product details, size and fit, care and materials, and its rating summary, from its link or product ID. data is null when the product does not exist or the country's store does not sell it.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
product_id_or_url*string
The product_id from a search result, or the product's asos.com link, such as https://www.asos.com/asos-design/asos-design-long-sleeve-maxi-dress-with-back-cut-out-and-ruching-in-black/prd/209697853.
Length
length <= 1000country?string
The country to shop from, as a two-letter code such as GB, US, DE, FR or AU, or a name such as United States. Sets the store, language and currency, as on asos.com. Defaults to GB.
Length
length <= 60Default
"GB"curl -X GET "https://example.com/v1/asos/product?product_id_or_url=209697853" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "product_id": "209697853", "product_code": "152557015", "name": "ASOS DESIGN long sleeve maxi dress with back cut out and ruching in black", "brand": "ASOS DESIGN", "url": "https://www.asos.com/asos-design/asos-design-long-sleeve-maxi-dress-with-back-cut-out-and-ruching-in-black/prd/209697853", "country": "GB", "gender": "Women", "product_type": "Dresses", "fit": "Regular", "country_of_manufacture": "BD", "price": 6.49, "regular_price": 26, "savings": 19.51, "lowest_price_30_days": 6.49, "is_on_sale": true, "currency": "GBP", "in_stock": true, "is_discontinued": true, "is_one_size": true, "variants": [ { "variant_id": "209697891", "sku": "152557094", "size": "UK 4", "brand_size": "UK 4", "colour": "Black", "in_stock": true, "low_in_stock": true, "price": 6.49 } ], "images": [ "string" ], "video_url": "string", "description_html": "string", "brand_description": "string", "size_and_fit": "Model's height: 175cm / 5'9\"\nModel is wearing: UK 8", "care_info": "Machine wash according to instructions on care label", "materials": "Jersey: soft and stretchy knitted fabric\n\nMain: 96% Viscose, 4% Elastane.", "rating": 4.5, "review_count": 16, "recommended_percentage": 100, "rating_counts": { "1": 0, "2": 0, "3": 0, "4": 0, "5": 0 }, "size_guide_url": "string" }, "details": { "reason": "string", "message": "string" }}